PagedData represents a read-only set of data from Convergence that is paged using an offset. It contains the current window of data, the offset at which the data starts, and the total results.

### Type parameters

- #### T

### Hierarchy

- PagedData

## Index

### Constructors

- constructor

### Properties

- data
- offset
- totalResults

## Constructors

### constructor

- new PagedData(data: T[], offset: number, totalResults: number): PagedData

- #### Parameters

  - ##### data: T[]

    The current page of data.

  - ##### offset: number

    The index into the total result set of the first element in the data.

  - ##### totalResults: number

    The total number of results in the entire data set.

  #### Returns PagedData

## Properties

### data

data: T[]

The current page of data.

### offset

offset: number

The index into the total result set of the first element in the data.

### totalResults

totalResults: number

The total number of results in the entire data set.